<?php
require_once '../../classes/dao.php';


if (isset($_GET['function'])) {
    if ($_GET['function'] == "get_scores")
        get_scores();
    elseif ($_GET['function'] == "get_map_info")
        get_map_info();
    elseif ($_GET['function'] == "get_activities_of_day")
        get_activities_of_day();
    elseif ($_GET['function'] == "get_enigma_code")
        get_enigma_code();
    elseif ($_GET['function'] == "get_plaquette_code")
        get_plaquette_code();
} else
    show_error();

function get_scores() {
    if (isset($_GET['team'])) {
        header('Content-Type: application/json');
        $dao = new Dao();
        echo json_encode($dao->get_score_team($_GET['team']));
    } else {
        show_error();
    }
}

function get_map_info() {
    if (isset($_GET['selector'])) {
        header('Content-Type: application/json');
        $dao = new Dao();
        echo json_encode($dao->get_map_info($_GET['selector']));
    } else {
        show_error();
    }
}


function get_activities_of_day() {
    if (isset($_GET['day'])) {
        header('Content-Type: application/json');
        $dao = new Dao();
        echo json_encode($dao->get_activities_of_day($_GET['day']));
    } else {
        show_error();
    }
}

//
// Section pour les énigmes
//

function get_enigma_code() {
    if (isset($_GET['code'])) {
        $data = array(
            "name" => $_GET['code'],
            "info" => null,
        );
        switch ($_GET['code']) {
            case '501432' :
                $data["name"] = "enigme-1";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 1</h2>Code trouvé, reviens demain pour avoir la suite ;)";
                } else {
                    $data["info"] = "<h2>Énigme 1</h2>
                        <p>Petit Pionnier Aguerri, dans l'arène, les déplacements des combattants sont tous enregistrés, voici le déplacement d'un combattant d'un district concurrant, à toi de le retrouver ! <br>
                        nord, nord, nord, est, sud-est, sud-ouest, ouest; <br>
                        ouest, sud, est, ouest, sud, est; <br>
                        ouest, sud, est, ouest, sud, est; <br>
                        est, est, est, ouest, sud, sud, sud; <br>
                        nord,nord,nord-est, , sud-est, sud, sud, nord, ouest; <br>
                        </p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;
                
            case 'PEETA' :
                $data["name"] = "enigme-2";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 2</h2>Code trouvé, reviens demain pour avoir la suite ;)";
                } else {
                    $data["info"] = "<h2>Énigme 2</h2>Dès l'aube, un oiseau aux sifflements merveilleux fit son apparition sur l'arène de l'INSA";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;

            case 'Lucy Gray Baird' :
                $data["name"] = "enigme-3";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 3</h2><img src=\"assets/images/enigmes/Caesar.jpg\"></img>";
                } else {
                    $data["info"] = "<h2>Énigme 3</h2>
                        <p>OaduaxmzgeEzai</p> 
                        <img src=\"assets/enigmes/Caesar.jpg\"></img>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;

            case 'CoriolanusSnow' :
                $data["name"] = "enigme-4";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 4</h2>
                        Code trouvé ! Parcours du site en cours...";
                } else {
                    $data["info"] = "<h2>Énigme 4</h2>
                        Code trouvé ! Parcours du site en cours...
                        <p>Voilà plusieurs jours que tu parcours les énigmes, augmentons un peu la difficulté</p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;     

            case 'BCJLS' :
                $data["name"] = "enigme-5";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 5</h2>
                        Code trouvé !";
                } else {
                    $data["info"] = "<h2>Énigme 5</h2>
                        <p>N'aurais tu pas oublié quelque chose ?</p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 

            case 'Théorème de Gauss' :
                $data["name"] = "enigme-6";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 6</h2>
                        Code trouvé ! T'es turbo rapide toi !";
                } else {
                    $data["info"] = "<h2>Énigme 6</h2>
                        <p>Quelle est la somme des lettres des solutions des deux dernières énigmes ? (ASCII)</p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 

            case '2234' :
                $data["name"] = "enigme-7";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 7</h2>
                        Code trouvé ! Tu es fort, je m'en vais créer de nouvelles énigmes encore plus difficiles..";
                } else {
                    $data["info"] = "<h2>Énigme 7</h2>
                        <!--Katniss-->
                        <p>Entre deux épisodes, une idée m'est venue <a href=\"http://Ppmmpppppmpmmpppmfmppmffmppfpm\">.</a></p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 

            case '1985281616' :
                $data["name"] = "enigme-8";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 8</h2>
                        Code trouvé !";
                } else {
                    $data["info"] = "<h2>Énigme 8</h2>
                        <!--<a href=\"assets/enigmes/crypto.py\">Courage</a>-->";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 
    
            case 'BAILA' :
                $data["name"] = "enigme-9";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 9</h2>
                        Code trouvé !";
                } else {
                    $data["info"] = "<h2>Énigme 9</h2>
                        Il te reste toujours à déchiffrer ce code mystérieux ;)";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 

            case 'Hacker la NASA en HTML' :
                $data["name"] = "enigme-10";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 10</h2>
                        Code trouvé !";
                } else {
                    $data["info"] = "<h2>Énigme 10</h2>
                        <p>Maintenant que tu as hacké la NASA en HTML et trouvé le code précédent, 
                            dis moi quelle est la ville autour de Toulouse qui commence phonétiquement par le code précédent en verlant ? </p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 
            
            case 'Labège' :
                $data["name"] = "enigme-11";
                if($_GET['date'] < 1627221618 ) {
                    $data["info"] = "<h2>Énigme 11</h2>
                        Code trouvé !";
                } else {
                    $data["info"] = "<h2>Énigme 11</h2>
                        <p>Petit rappel, va écouter la <a href=https://youtu.be/8Eapq5TOzn4\"\">musique</a> de JAG</p>";
                }
                echo json_encode($data, JSON_FORCE_OBJECT);
                break; 

            default:
                $data["name"] = null;
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;
        }

    }
}

function get_plaquette_code() {
    if (isset($_GET['code'])) {
        $data = array(
            "name" => $_GET['code'],
            "info" => null,
        );
        switch ($_GET['code']) {
            case 'onlyfan_420' :
                $data["name"] = "onlyfan";
                $data["info"] = "Go follow sur insta <a href=\"https://www.instagram.com/onlyfan_420/\">@onlyfan_420</a>";
                echo json_encode($data, JSON_FORCE_OBJECT);
                break;

            default:
                $data["name"] = null;
                echo json_encode($data, JSON_FORCE_OBJECT);

                break;
        }

    }
}


function show_error() {
    echo "Échec : ";
    var_dump($_GET);
}
